Xerces-C++: DOMXPathException Class Reference

Xerces-C++ 3.2.0

List of all members
DOMXPathException Class Reference
Inheritance diagram for DOMXPathException:

## Public Types
enum | ExceptionCode { INVALID_EXPRESSION_ERR = 51, TYPE_ERR = 52, NO_RESULT_ERROR = 53 }
| ExceptionCode INVALID_EXPRESSION_ERR The expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `DOMXPathEvaluator` or contains specialized extension functions or variables not supported by this implementation. More...
Public Types inherited from DOMException
enum | ExceptionCode { INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4, INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8, NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12, INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15, VALIDATION_ERR = 16, TYPE_MISMATCH_ERR = 17 }
| ExceptionCode. More...

## Public Member Functions
Constructors
| DOMXPathException ()
| Default constructor for DOMXPathException. More...
| DOMXPathException (short code, short messageCode=0, MemoryManager *const memoryManager=XMLPlatformUtils::fgMemoryManager)
| Constructor which takes an error code and a message. More...
| DOMXPathException (const DOMXPathException &other)
| Copy constructor. More...
Destructor.
virtual | ~DOMXPathException ()
| Destructor for DOMXPathException. More...
Public Member Functions inherited from DOMException
const XMLCh * | getMessage () const
| DOMException ()
| Default constructor for DOMException. More...
| DOMException (short code, short messageCode=0, MemoryManager *const memoryManager=XMLPlatformUtils::fgMemoryManager)
| Constructor which takes an error code and an optional message code. More...
| DOMException (const DOMException &other)
| Copy constructor. More...
virtual | ~DOMException ()
| Destructor for DOMException. More...

## Additional Inherited Members
Public Attributes inherited from DOMException
short | code
| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured. More...
const XMLCh * | msg
| A string value. More...
Protected Attributes inherited from DOMException
MemoryManager * | fMemoryManager

## Detailed Description

Since
  DOM Level 3

## Member Enumeration Documentation

## ◆ ExceptionCode

enum DOMXPathException::ExceptionCode

ExceptionCode
INVALID_EXPRESSION_ERR The expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `DOMXPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.

TYPE_ERR The expression cannot be converted to return the specified type.
NO_RESULT_ERROR There is no current result in the result object.

Enumerator
INVALID_EXPRESSION_ERR |
TYPE_ERR |
NO_RESULT_ERROR |

## Constructor & Destructor Documentation

## ◆ DOMXPathException() [1/3]

DOMXPathException::DOMXPathException | ( |  | ) |

Default constructor for DOMXPathException.

## ◆ DOMXPathException() [2/3]

DOMXPathException::DOMXPathException | ( | short | code,
|  | short | messageCode = `0`,
|  | MemoryManager *const | memoryManager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Constructor which takes an error code and a message.

Parameters

  code | The error code which indicates the exception
  messageCode | The string containing the error message
  memoryManager | The memory manager used to (de)allocate memory

## ◆ DOMXPathException() [3/3]

DOMXPathException::DOMXPathException | ( | const DOMXPathException & | other | ) |

Copy constructor.

Parameters

  other | The object to be copied.

## ◆ ~DOMXPathException()

virtual DOMXPathException::~DOMXPathException | ( |  | ) |
| virtual

Destructor for DOMXPathException.

The documentation for this class was generated from the following file:

- DOMXPathException.hpp